<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Five Stars - Examples</title>
	<link rel="stylesheet" href="styles/base.css" type="text/css">
</head>
<body>
	<h1>Five Stars - Examples</h1>
<table>
<tr><th>Reference</th><th>Name</th><th>One Star</th><th>Two Stars</th><th>Three Stars</th><th>Four Stars</th><th>Five Stars</th></tr>

<?php
/* opening the sqlite database file */
$dbfile = new PDO('sqlite:products.db3');

/* quering all records from the base */
$query = $dbfile->query("SELECT * from products;");
$results = $query->fetchAll();

/* closing the access to the database file */
$dbfile = null;

foreach ($results as $value)
{
	print("<tr><td>".$value['ProductReference']."</td><td>".$value['ProductName']."</td><td class=\"right\">".$value['OneStar']."</td><td class=\"right\">".$value['TwoStars']."</td><td class=\"right\">".$value['ThreeStars']."</td><td class=\"right\">".$value['FourStars']."</td><td class=\"right\">".$value['FiveStars']."</td></tr>\n");
}

?>
</table>

<ul>
<li><a href="update-v1.php">Update v1</a> - Initial version</li>
<li><a href="update-v2.php">Update v2</a> - Using SVG star images <sup>1</sup></li>
<li><a href="update-v3.php">Update v3</a> - Adding styling (CSS)</li>
<li><a href="update-v4.php">Update v4</a> - Adding some more styling</li>
<li><a href="update-v5.php">Update v5</a> - Code refactoring; generating stars rows automatically</li>
<li><a href="update-v6.php">Update v6</a> - Using a cookie to record the user action</li>
<li>Update v7 - Using a more generic form to use with any product
<ul>
<li><a href="update-v7.php?productID=75895">Update v7 - 75895</a></li>
<li><a href="update-v7.php?productID=75890">Update v7 - 75890</a></li>
<li><a href="update-v7.php?productID=75892">Update v7 - 75892</a></li>
</ul>
</li>
<li>Update v8 - Validating the product ID argument
<ul>
<li><a href="update-v8.php?productID=75895">Update v8 - 75895</a></li>
<li><a href="update-v8.php?productID=75890">Update v8 - 75890</a></li>
<li><a href="update-v8.php?productID=75892">Update v8 - 75892</a></li>
<li><a href="update-v8.php?productID=12345">Update v8 - 12345</a></li>
</ul>
</li>
</ul>

<p>1: SVG star images from Wikimedia Commons. <a href="https://commons.wikimedia.org/wiki/File:Full_Star_Yellow.svg">Full_Star_Yellow.svg</a> and <a href="https://commons.wikimedia.org/wiki/File:Empty_Star.svg">Empty_Star.svg</a></p>

</body>
</html>
